api_documentation.links
api.doct.get https://qr.rejoicesoftware.in/api/links/
curl --request GET \
--url 'https://qr.rejoicesoftware.in/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.rejoicesoftware.in/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| api_documentation.parameters | Details | Description |
|---|---|---|
| api.doct.page | api_documentation.optional api_documentation.int | api_documentation.filters.page |
| api.doct.page_result | api_documentation.optional api_documentation.int | api_documentation.filters.results_per_page |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"pageviews": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-06-04 23:26:33"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qr.rejoicesoftware.in/api/links?&page=1",
"last": "https://qr.rejoicesoftware.in/api/links?&page=1",
"next": null,
"prev": null,
"self": "https://qr.rejoicesoftware.in/api/links?&page=1"
}
}
api.doct.get https://qr.rejoicesoftware.in/api/links/{link_id}
curl --request GET \
--url 'https://qr.rejoicesoftware.in/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.rejoicesoftware.in/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"pageviews": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-06-04 23:26:33"
}
}
api.doct_team_post https://qr.rejoicesoftware.in/api/links
| api_documentation.parameters | Details | Description |
|---|---|---|
| api.doct_location | api_documentation.required api_documentation.string | api_documentation.links.location_urlapi_documentation.available_when |
| api.doct_location2 | api_documentation.required api_documentation.string | api_documentation.links.location_urlapi_documentation.available_when |
| api.doct_url | api_documentation.optional api_documentation.string | api_documentation.links.urlapi_documentation.available_when |
| api.doct_barcode_bulk | api_documentation.optional api_documentation.boolean | |
| api.doct_domain | api_documentation.optional api_documentation.int | - |
| api.doct_ai_project | api_documentation.optional api_documentation.int | - |
| api.doct_pixels | api_documentation.optional api_documentation.array api_documentation.int | - |
| api.doct_schedule | api_documentation.optional api_documentation.boolean | - |
| api.doct_stat_start_date | api_documentation.optional api_documentation.string | api_documentation.available_when |
| api.doct_stat_end_date | api_documentation.optional api_documentation.string | api_documentation.available_when |
| api.doct_page_limit | api_documentation.optional api_documentation.int | - |
| api.doct_expiry | api_documentation.optional api_documentation.string | - |
| api.doct_password | api_documentation.optional api_documentation.string | - |
| api.doct_forward_query | api_documentation.optional api_documentation.boolean | - |
| api.doct_stat_source | api_documentation.optional api_documentation.string | - |
| api.doct_stat_heading1 | api_documentation.optional api_documentation.string | - |
| api.doct_campaign | api_documentation.optional api_documentation.string | - |
| api.doct_content | api_documentation.optional api_documentation.boolean | - |
| api.doct_status | api_documentation.optional api_documentation.int | api_documentation.allowed_values |
| api.doct_linking | api_documentation.optional api_documentation.boolean | - |
| api.doct_cloaking | api_documentation.optional api_documentation.boolean | - |
| api.doct_cloak_title | api_documentation.optional api_documentation.string | - |
| api.doct_cloak_desc | api_documentation.optional api_documentation.string | - |
| api.doct_cloak_para | api_documentation.optional api_documentation.string | - |
| api.doct_cloak_fav | api_documentation.optional api_documentation.file | - |
| api.doct_cloak_graph | api_documentation.optional api_documentation.file | - |
| api.doct_cloak_target | api_documentation.optional api_documentation.string | continent_code , country_code , city_name , device_type , browser_language , rotation , os_name , browser_name |
| targeting_continent_code_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_continent_code_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_country_code_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_country_code_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_city_name_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_city_name_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_device_type_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_device_type_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_browser_language_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_browser_language_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_rotation_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_rotation_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_os_name_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_os_name_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_browser_name_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_browser_name_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
curl --request POST \
--url 'https://qr.rejoicesoftware.in/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://qr.rejoicesoftware.in/' \
--url 'https://qr.rejoicesoftware.in/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://qr.rejoicesoftware.in/' \
{
"data": {
"id": 1
}
}
POST https://qr.rejoicesoftware.in/api/links/{link_id}
| api_documentation.parameters | Details | Description |
|---|---|---|
| api.doct_location | api_documentation.optional api_documentation.string | api_documentation.links.location_url |
| api.doct_url | api_documentation.optional api_documentation.string | api_documentation.links.url |
| api.doct_domain | api_documentation.optional api_documentation.int | - |
| api.doct_ai_project | api_documentation.optional api_documentation.int | - |
| api.doct_pixels | api_documentation.optional api_documentation.array api_documentation.int | - |
| api.doct_schedule | api_documentation.optional api_documentation.boolean | - |
| api.doct_stat_start_date | api_documentation.optional api_documentation.string | api_documentation.available_when |
| api.doct_stat_end_date | api_documentation.optional api_documentation.string | api_documentation.available_when |
| api.doct_page_limit | api_documentation.optional api_documentation.int | - |
| api.doct_expiry | api_documentation.optional api_documentation.string | - |
| api.doct_password | api_documentation.optional api_documentation.string | - |
| api.doct_forward_query | api_documentation.optional api_documentation.boolean | - |
| api.doct_stat_source | api_documentation.optional api_documentation.string | - |
| api.doct_stat_heading1 | api_documentation.optional api_documentation.string | - |
| api.doct_campaign | api_documentation.optional api_documentation.string | - |
| api.doct_content | api_documentation.optional api_documentation.boolean | - |
| api.doct_status | api_documentation.optional api_documentation.int | api_documentation.allowed_values |
| api.doct_linking | api_documentation.optional api_documentation.boolean | - |
| api.doct_cloaking | api_documentation.optional api_documentation.boolean | - |
| api.doct_cloak_title | api_documentation.optional api_documentation.string | - |
| api.doct_cloak_desc | api_documentation.optional api_documentation.string | - |
| api.doct_cloak_para | api_documentation.optional api_documentation.string | - |
| api.doct_cloak_fav | api_documentation.optional api_documentation.file | - |
| api.doct_cloak_graph | api_documentation.optional api_documentation.file | - |
| api.doct_cloak_target | api_documentation.optional api_documentation.string | continent_code , country_code , city_name , device_type , browser_language , rotation , os_name , browser_name |
| targeting_continent_code_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_continent_code_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_country_code_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_country_code_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_city_name_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_city_name_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_device_type_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_device_type_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_browser_language_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_browser_language_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_rotation_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_rotation_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_os_name_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_os_name_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_browser_name_key[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
| targeting_browser_name_value[index] | api_documentation.optional api_documentation.string | api_documentation.available_when |
curl --request POST \
--url 'https://qr.rejoicesoftware.in/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://qr.rejoicesoftware.in/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
api.doct_teams_delete https://qr.rejoicesoftware.in/api/links/{link_id}
curl --request DELETE \
--url 'https://qr.rejoicesoftware.in/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.rejoicesoftware.in/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \